/* simple2 -- simple JSyn app using a thread (OscThread) for the sound synthesis
 *
 * 		Brad Garton, spring 2003
 *
*/
import com.softsynth.jsyn.*;

public class simple2 extends Object
{
	SineOscillator	theOsc;
	LineOut		oscOut;

	public static void main(String args[])
	{
		simple2 hoho = new simple2();
		hoho.start();
	}

	public void start()
	{
		OscThread Othread;
		int i;
		double freq;

		try
		{
			Synth.startEngine(0);

			Othread = new OscThread();
			Othread.start();

			// we'll mess around with the freq during execution
			freq = 314.0;
			for (i = 0; i < 100; i++)
			{
				try
				{
					java.lang.Thread.sleep(50);
				} catch (InterruptedException e) {
					return;
				}
				Othread.theOsc.frequency.set(freq);
				freq = freq + 78.0;
			}

		} catch(SynthException e) {
			SynthAlert.showError(e);
		}
	}
}
